Subject: help-follow-symbol silent when no symbol was found

From: Juanma Barranquero <[email-masked]>
Date: Sun, 17 Nov 2019 20:40:33 +0100

Package: emacs
Severity: minor
Tags: patch

Currently, help-follow and help-follow-mouse signal an error if there's
nothing to follow. However, help-follow-symbol does not, which means that
C-c C-c in the help buffer when over an arbitrary non-symbol does nothing
and says nothing.

That's not just inconsistent, but a bit disconcerting, as sometimes
following a symbol can be slow. In my build, it takes a second or more to
show the symbol documentation, so when there's no symbol I stand waiting
for something to happen for a couple of seconds.

The following patch fixes that. The only reason against I can think of is
when `help-follow-symbol' is called from elisp, because it will now signal
an error. However, at least in the Emacs sources help-follow-symbol is
never called from elisp, just as a keybinding or menu entry.